
Foreman - Feature #417

All columns in host display should be sortable.

10/25/2010 11:18 PM - Brian Gallew

Status: Duplicate   

Priority: Normal   

Assignee: Ohad Levy   

Category: Web Interface   

Target version: 0.1-6   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

It's really useful to be able to sort by environment, OS and hardware model.  This patch adds that capability.

Related issues:

Is duplicate of Foreman - Feature #375: Sort all elements in dashboard views. Closed 09/08/2010

History

#1 - 10/26/2010 09:04 AM - Ohad Levy

- Status changed from New to Feedback

Hi,

Thanks for the patch, two comments:

1. You might want to consider using git formatted patches, this will ensure that your name is associated with the commit (and list of contributors) :)

2. AFAIK, sorting based on the environment_id (or any other id reference field) will sort based on the numeric value of the filed (i.e. environment_id

= 1 ==> environment.id = 1) but not to its actual name, so you end up grouping the hosts, not so much sorting it based on its name.

I'm willing to accept the patch, as its better than nothing at the moment, but ideally, we should a better way to handle it (and probably the existing

order implementation need to be refactored).

#2 - 10/28/2010 06:50 PM - Brian Gallew

I'm happy to submit git-formatted patches if there's a page on how to generate them.  I've gotten tired of tracking down all the instructions for all the

VC systems out there, so if I can't find a one-page write up for a given project on how patches should be submitted, then I just send standard diffs.

I'll look again at the sorting thing.  When I first tested, it didn't seem to pay attention to the actual field contents for sorting when I didn't use the id.  If it

works as desired, I'll definitely submit a new patch.  Thanks for looking at it so quickly!

#3 - 11/09/2010 08:07 AM - Ohad Levy

- Target version changed from 0.2 to 0.1-6

#4 - 11/09/2010 09:17 AM - Ohad Levy

- Status changed from Feedback to Assigned

#5 - 11/09/2010 09:17 AM - Ohad Levy

- Status changed from Assigned to Duplicate

Files

sortable.patch 783 Bytes 10/25/2010 Brian Gallew

Powered by TCPDF (www.tcpdf.org)

05/13/2024 1/1

http://www.tcpdf.org

